## visad.data
Class FileAccessor

    java.lang.Object
      visad.data.FileAccessor

Direct Known Subclasses:
  BinaryAccessor, FileDataFactory.netCDFFlatFieldAccessor, GridVariableAdapter.GridAccessor, HdfeosAccessor, SequenceVariableAdapter.SequenceAccessor, VectorAccessor, Vis5DFileAccessor

public abstract class FileAccessor
extends Object

Exchange data with a "file".

Constructor Summary
`FileAccessor()`

Method Summary
`abstract FlatField` `getFlatField()`
`abstract FunctionType` `getFunctionType()`
`abstract double[][]` `readFlatField(FlatField template, int[] fileLocation)`
`abstract void` `writeFile(int[] fileLocations, Data range)`
`abstract void` `writeFlatField(double[][] values, FlatField template, int[] fileLocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileAccessor

    public FileAccessor()

Method Detail

### writeFile

    public abstract void writeFile(int[] fileLocations,
                                   Data range)

### readFlatField

    public abstract double[][] readFlatField(FlatField template,
                                             int[] fileLocation)

### writeFlatField

    public abstract void writeFlatField(double[][] values,
                                        FlatField template,
                                        int[] fileLocation)

### getFlatField

    public abstract FlatField getFlatField()
                                    throws VisADException,
                                           RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getFunctionType

    public abstract FunctionType getFunctionType()
                                          throws VisADException

  Throws:
    `VisADException`